Apache ShenYu 存在管理员权限管理不当漏洞

OSCS开源供应链安全
 OSCS开源供应链安全
发布于 2022年09月02日
收藏 2

漏洞描述

Apache ShenYu 是有 Java 开发的 API 网关,用于服务代理、协议转换和 API 治理。

在 Apache ShenYu 受影响的版本内,存在管理员权限管理不当漏洞。

攻击者可利用该漏洞获取敏感数据。

该漏洞存在poc,请使用该组件的项目尽快修复。

漏洞名称 Apache ShenYu 存在管理员权限管理不当漏洞
漏洞类型 特权管理不恰当
发现时间 2022/9/2
漏洞影响广度 极小
MPS编号 MPS-2022-53302
CVE编号 CVE-2022-37435
CNVD编号 -

影响范围

org.apache.shenyu:shenyu-admin@[2.4.2, 2.5.0)

修复方案

升级org.apache.shenyu:shenyu-admin到 2.5.0 或更高版本

参考链接

https://www.oscs1024.com/hd/MPS-2022-53302

https://nvd.nist.gov/vuln/detail/CVE-2022-37435

https://github.com/apache/shenyu/issues/3657

    

订阅情报,并检测项目中存在的安全漏洞

OSCS(开源软件供应链安全社区)通过最快、最全的方式,发布开源项目最新的安全风险动态,包括开源组件安全漏洞、事件等信息。同时提供漏洞、投毒情报的免费订阅服务,社区用户可通过配置飞书、钉钉、企业微信机器人,及时获得一手情报信息推送。

官网地址: https://www.oscs1024.com/?src=osc

1、如何订阅情报

点击官网首页的订阅情报即可配置群聊机器人

订阅文档:https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

2、如何检测项目漏洞

点击漏洞详情页右下方【免费使用】,即可快速体验墨菲安全专业的检测能力。提供代码安全检测、许可证合规评估等能力,目前支持 CLI 、IDE插件、GitHub多种检测方式,欢迎使用。

核心引擎已开源:https://github.com/murphysecurity/murphysec

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Apache ShenYu 存在管理员权限管理不当漏洞
加载中
返回顶部
顶部